Package ghidra.app.decompiler.component

# Class DecompilerHoverProvider

java.lang.Object
ghidra.app.plugin.core.hover.AbstractHoverProvider
ghidra.app.decompiler.component.DecompilerHoverProvider

All Implemented Interfaces:
  `HoverProvider`

public class DecompilerHoverProvider extends ghidra.app.plugin.core.hover.AbstractHoverProvider

- ## Field Summary

  ### Fields inherited from class ghidra.app.plugin.core.hover.AbstractHoverProvider

  `activeHoverService, enabled, hoverServices, lastField, popupWindow, popupWindowPlacer, program, windowName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecompilerHoverProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addHoverService(DecompilerHoverService hoverService)`
  `protected ProgramLocation`
  `getHoverLocation(FieldLocation fieldLocation, Field field, Rectangle fieldBounds, MouseEvent event)`
  `void`
  `removeHoverService(DecompilerHoverService hoverService)`

  ### Methods inherited from class ghidra.app.plugin.core.hover.AbstractHoverProvider

  `addHoverService, closeHover, dispose, getProgram, initializeListingHoverHandler, isForcePopups, isShowing, mouseHovered, removeHoverService, scroll, setHoverEnabled, setPopupPlacer, setProgram, showPopup`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DecompilerHoverProvider

    public DecompilerHoverProvider()

- ## Method Details

  - ### addHoverService

    public void addHoverService(DecompilerHoverService hoverService)

  - ### removeHoverService

    public void removeHoverService(DecompilerHoverService hoverService)

  - ### getHoverLocation

    protected ProgramLocation getHoverLocation(FieldLocation fieldLocation, Field field, Rectangle fieldBounds, MouseEvent event)
    Specified by:
      `getHoverLocation` in class `ghidra.app.plugin.core.hover.AbstractHoverProvider`